package Modules::File::Created;

########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

sub new {
	$class = shift;
	my ($template) = @_;
	$this = { 'is_created' => 0, 'is_confirmed' => 0 };
	return bless($this, $class);
}

sub set_created  {
	my $this = shift;
	my ($flag) = @_;
	return ($$this{'is_created'} = $flag);
}

sub confirm {
	my $this = shift;
	$$this{'is_confirmed'} = 1;
}

sub is_broken {
	my $this = shift;
	return ($$this{'is_created'} && ! $$this{'is_confirmed'});
}

sub is_created {
	my $this = shift;
	return ($$this{'is_created'});
}

1;


